//---------------------------------------------------------------------------
#ifndef _MOJA_URL_
#define _MOJA_URL_
//---------------------------------------------------------------------------
#include <Classes.hpp>

class URLParserException
{
private:
public:
    URLParserException()
    {}
    ~URLParserException()
    {}
}
;

class URLParser
{
private:
    char serviceName[16];
    char hostName[255];
    unsigned short port;
    char path[2048];
    char realURL[2048];
    bool parse(char* _URL);
public:
    URLParser()
    {}
    URLParser(AnsiString URL, char* defaultProto);
    URLParser(char* _URL, char* defaultProto);
    URLParser(URLParser &_URL);
    ~URLParser();
    char* getServiceName();
    char* getHostName();
    unsigned short getPort();
    char* getPath();
    char* getURL();
};
#endif
