//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "HistoryComboBox.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck ́A`ꂽR|[lgz֐܂
// ۃNXł͂ȂƂmF邽߂ɒ`Ă܂B
//

static inline void ValidCtrCheck(THistoryComboBox *)
{
    new THistoryComboBox(NULL);
}
//---------------------------------------------------------------------------

__fastcall THistoryComboBox::THistoryComboBox(TComponent* Owner)
        : TCustomComboBox(Owner)
{}

__fastcall THistoryComboBox::~THistoryComboBox()
{}

void __fastcall THistoryComboBox::SaveToIni(void)
{
    if (FIniFileName != "" && FIniSection != "")
    {
        if (Items->Count > 0)
        {
            AnsiString IniFilePath = ExtractFilePath(Application->ExeName);
            TIniFile *Ini = new TIniFile(IniFilePath + FIniFileName);
            for (int i = 0; i < Items->Count; i++)
            {
                Ini->WriteString(FIniSection, IntToStr(i), Items->Strings[i]);
            }
            delete Ini;
        }
    }
}

void __fastcall THistoryComboBox::LoadFromIni(void)
{
    if (FIniFileName != "" && FIniSection != "")
    {
        AnsiString IniFilePath = ExtractFilePath(Application->ExeName);
        TIniFile *Ini = new TIniFile(IniFilePath + FIniFileName);
        TStringList *paramList = new TStringList;

        Ini->ReadSectionValues(FIniSection, paramList);
        for (int i = 0; i < paramList->Count; i++)
        {
            Items->Add(strstr(paramList->Strings[i].c_str(), "=") + 1);
        }

        delete paramList;
        delete Ini;
    }
}

void __fastcall THistoryComboBox::DoExit(void)
{
    inherited::DoExit();

}

void __fastcall THistoryComboBox::DropDown(void)
{
    inherited::DropDown();
}

void __fastcall THistoryComboBox::Change()
{
    inherited::Change();
    if (!FDropedFind)
    {
        return;
    }

    AnsiString entText;
    bool Found = false;
    static int hitIndex;

    entText = Text;
    OutputDebugString(Text.c_str());
    ItemIndex = Perform(CB_FINDSTRING, -1, (int)Text.c_str());

    if (!DroppedDown)
    {
        Finding = true;
        DroppedDown = true;
        Finding = false;
    }
    Text = entText;
    /*
     
        for (int i = 0; i < Items->Count; i++) {
     
            AnsiString compText = Items->Strings[i];
            if (entText == compText.SubString(1, entText.Length())
                || FIgnorePrefix + entText == compText.SubString(1, (FIgnorePrefix + entText).Length()))
    		{
                ItemIndex = i;
                if (!DroppedDown)  {
                    Finding = true;
                    DroppedDown = true;
                    Finding = false;
                }
    		}
        }
        if (Found)
        {
            ItemIndex = -1;
            DropDownCount = Items->Count;
            if (!DroppedDown)  {
                Finding = true;
                DroppedDown = true;
                Finding = false;
            }
     
            else {
            TRect cRect = GetClientRect();
            MoveWindow(Handle, cRect.Top, cRect.Left, cRect.Width(), (ItemHeight * Items->Count + cRect.Height() + 2), true);
            InvalidateRect(Handle, &cRect, true);
    //            DroppedDown = true;
            GetWindowRect(Handle, &cRect);
            Items->EndUpdate();
            }
     
        }
        else {
            if (DroppedDown)  {
                DroppedDown = false;
            }
        }
    */
}

void __fastcall THistoryComboBox::SetUpdateList(AnsiString _Text)
{
    if (_Text != "" && Items->IndexOf(_Text) == -1)
    {
        if (FMaxItem && Items->Count >= FMaxItem)
        {
            Items->Delete(FMaxItem - 1);
        }
        Items->Insert(0, _Text);
    }
    Text = _Text;
}

void __fastcall THistoryComboBox::SetIgnorePrefix(AnsiString _Prefix)
{
    FIgnorePrefix = _Prefix;
}

void __fastcall THistoryComboBox::Loaded(void)
{
    inherited::Loaded();
    LoadFromIni();
}

//---------------------------------------------------------------------------
namespace Historycombobox
{
void __fastcall PACKAGE Register()
{
    TComponentClass classes[1] = {__classid(THistoryComboBox)};
    RegisterComponents("Sasaki", classes, 0);
}
}
//---------------------------------------------------------------------------






