#ifndef ITEM_ID_WRAP
#define ITEM_ID_WRAP

#define NO_WIN32_LEAN_AND_MEAN

#include <classes.hpp>
#include <shlobj.hpp>

/*
class TShellItem
{
private:
    TShellItem* FParent;
    _di_IShellFolder    FShellFolder;
    PItemIDList         FItemIDList;
    PItemIDList         FItemID;
public:
    TShellItem(TShellItem* parent, _di_IShellFolder _folder, PItemIDList _itemID);
    ~TShellItem();
 
    __property TShellItem* Parent = {read = FParent};
    __property _di_IShellFolder ShellFolder = {read = FShellFolder};
    __property PItemIDList ItemIDList = {read = FItemIDList};
    __property PItemIDList ItemID = {read = FItemID};
};
*/

#ifdef __cplusplus
extern "C"
{
#endif

    PItemIDList __fastcall CopyOneItemID(PItemIDList ID);
    PItemIDList CreateItemID(int Size);
    PItemIDList NextItemID(PItemIDList ItemIDList);
    PItemIDList CopyItemID(PItemIDList ItemIDList);
    PItemIDList GetParentItemID(PItemIDList ItemIDList);
    int GetItemIDSize(PItemIDList IDList);
    PItemIDList ConcatItemID(PItemIDList IDList1, PItemIDList IDList2 );

    int GetShellImage(PItemIDList ItemID, bool large, bool open);
    AnsiString GetDisplayName(_di_IShellFolder ShellFolder ,PItemIDList ItemID, bool ForParsing);

#ifdef __cplusplus
}
#endif

#endif
